| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiTest.FilePreprocessor Class Reference
Inheritance diagram for GaudiTest.FilePreprocessor:
[legend]

## Public Member Functions
def | __processLine__ (self, line)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Detailed Description

    Base class for a callable that takes a file and returns a modified
    version of it.

Definition at line 403 of file GaudiTest.py.

## Member Function Documentation

def GaudiTest.FilePreprocessor.__add__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 421 of file GaudiTest.py.

421 def __add__(self, rhs):
422 return FilePreprocessorSequence([self,rhs])
423
GaudiTest.FilePreprocessor.__add__
def __add__(self, rhs)
Definition: GaudiTest.py:421
GaudiTest.FilePreprocessorSequence
Definition: GaudiTest.py:424

def GaudiTest.FilePreprocessor.__call__ | ( |  | self,
|  |  | input
| ) |  |

Definition at line 408 of file GaudiTest.py.

408 def __call__(self, input):
409 if hasattr(input,"__iter__"):
410 lines = input
411 mergeback = False
412 else:
413 lines = input.splitlines()
414 mergeback = True
415 output = []
416 for l in lines:
417 l = self.__processLine__(l)
418 if l: output.append(l)
419 if mergeback: output = '\n'.join(output)
420 return output
GaudiTest.FilePreprocessor.__processLine__
def __processLine__(self, line)
Definition: GaudiTest.py:406
GaudiTest.FilePreprocessor.__call__
def __call__(self, input)
Definition: GaudiTest.py:408

def GaudiTest.FilePreprocessor.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 406 of file GaudiTest.py.

406 def __processLine__(self, line):
407 return line
GaudiTest.FilePreprocessor.__processLine__
def __processLine__(self, line)
Definition: GaudiTest.py:406

The documentation for this class was generated from the following file:

- GaudiPolicy/qmtest_classes/GaudiTest.py